%define		realname   libxml2
Summary:	libXML library - cross MinGW32 version
Summary(pl.UTF-8):	Biblioteka libXML wersja 2 - wersja skrośna dla MinGW32
Name:		crossmingw32-%{realname}
Version:	2.13.5
Release:	1
License:	MIT
Group:		Development/Libraries
#Source0:	ftp://xmlsoft.org/libxml2/%{realname}-%{version}.tar.gz
Source0:	https://download.gnome.org/sources/libxml2/2.13/%{realname}-%{version}.tar.xz
# Source0-md5:	0b919be8edff97ade9c946e1a83bdecd
Patch0:		%{realname}-open.gz.patch
Patch1:		%{realname}-largefile.patch
Patch2:		%{realname}-mingw32.patch
URL:		http://xmlsoft.org/
BuildRequires:	autoconf >= 2.68
BuildRequires:	automake >= 1:1.16.3
BuildRequires:	crossmingw32-gcc
BuildRequires:	crossmingw32-zlib >= 1.2.4-3
BuildRequires:	crossmingw32-xz
BuildRequires:	libtool >= 2:2.0
BuildRequires:	sed >= 4.0
Requires:	crossmingw32-zlib >= 1.2.4-3
Requires:	crossmingw32-xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		no_install_post_strip	1
%define		_enable_debug_packages	0

%define		target			i386-mingw32
%define		target_platform 	i386-pc-mingw32

%define		_sysprefix		/usr
%define		_prefix			%{_sysprefix}/%{target}
%define		_libdir			%{_prefix}/lib
%define		_pkgconfigdir		%{_prefix}/lib/pkgconfig
%define		_dlldir			/usr/share/wine/windows/system
%define		__cc			%{target}-gcc
%define		__cxx			%{target}-g++
%define		__pkgconfig_provides	%{nil}
%define		__pkgconfig_requires	%{nil}

%ifnarch %{ix86}
# arch-specific flags (like alpha's -mieee) are not valid for i386 gcc
%define		optflags	-O2
%endif
# -z options are invalid for mingw linker, most of -f options are Linux-specific
%define		filterout_ld	-Wl,--as-needed -Wl,-z,relro -Wl,-z,combreloc
%define		filterout_c	-f[-a-z0-9=]*

%description
This library allows you to manipulate XML files.

This package contains the cross version for Win32.

%description -l pl.UTF-8
Biblioteka libxml2 umożliwia manipulowanie zawartością plików XML.

Ten pakiet zawiera wersję skrośną dla Win32.

%package static
Summary:	Static libxml2 library (cross MinGW32 version)
Summary(pl.UTF-8):	Statyczna biblioteka libxml2 (wersja skrośna MinGW32)
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description static
Static libxml2 library (cross MinGW32 version).

%description static -l pl.UTF-8
Statyczna biblioteka libxml2 (wersja skrośna MinGW32).

%package dll
Summary:	DLL libxml2 library for Windows
Summary(pl.UTF-8):	Biblioteka DLL libxml2 dla Windows
Group:		Applications/Emulators
Requires:	crossmingw32-zlib-dll >= 1.2.4-3
Requires:	crossmingw32-xz-dll
Requires:	wine

%description dll
DLL libxml2 library for Windows.

%description dll -l pl.UTF-8
Biblioteka DLL libxml2 dla Windows.

%prep
%setup -q -n %{realname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
# require at least WINXP for getaddrinfo interface
CPPFLAGS="%{rpmcppflags} -DWINVER=0x0501"
%configure \
	--target=%{target} \
	--host=%{target} \
	--disable-silent-rules \
	--enable-static \
	--with-http \
	--with-legacy \
	--with-lzma \
	--without-python \
	--with-tls \
	--with-zlib

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_dlldir}
%{__mv} $RPM_BUILD_ROOT%{_prefix}/bin/*.dll $RPM_BUILD_ROOT%{_dlldir}

%if 0%{!?debug:1}
%{target}-strip --strip-unneeded -R.comment -R.note $RPM_BUILD_ROOT%{_dlldir}/*.dll
%{target}-strip -g -R.comment -R.note $RPM_BUILD_ROOT%{_libdir}/*.a
%endif

%{__rm} $RPM_BUILD_ROOT%{_bindir}/{*.exe,xml2-config}
%{__rm} -r $RPM_BUILD_ROOT%{_libdir}/cmake
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/{aclocal,doc,gtk-doc,man}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Copyright NEWS README.md
%{_libdir}/libxml2.dll.a
%{_libdir}/libxml2.la
%{_includedir}/libxml2
%{_pkgconfigdir}/libxml-2.0.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libxml2.a

%files dll
%defattr(644,root,root,755)
%{_dlldir}/libxml2-*.dll
%changelog
* Wed Nov 13 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/crossmingw32-libxml2.git;a=log;h=master

* Wed Nov 13 2024 Jakub Bogusz <qboosh@pld-linux.org> d16df03
- updated to 2.13.5

* Wed Sep 18 2024 Jakub Bogusz <qboosh@pld-linux.org> ee3c365
- updated to 2.13.4

* Thu Jul 25 2024 Jakub Bogusz <qboosh@pld-linux.org> f5f4a84
- updated to 2.13.3 (fixes CVE-2024-40896)

* Thu Jul 04 2024 Jakub Bogusz <qboosh@pld-linux.org> 095f2c2
- updated to 2.13.2

* Wed Jun 19 2024 Jakub Bogusz <qboosh@pld-linux.org> 7c97fee
- updated to 2.13.1, disable bcrypt for now (too old Win32 API implementation)

* Fri Jun 14 2024 Jakub Bogusz <qboosh@pld-linux.org> d56e857
- updated to 2.12.8

* Wed May 15 2024 Jakub Bogusz <qboosh@pld-linux.org> 99e1933
- updated to 2.12.7 (fixes CVE-2024-34459)

* Sat Mar 16 2024 Jakub Bogusz <qboosh@pld-linux.org> 9a0bccf
- updated to 2.12.6

* Sun Feb 04 2024 Jakub Bogusz <qboosh@pld-linux.org> f1a32c1
- updated to 2.12.5

* Tue Jan 16 2024 Jakub Bogusz <qboosh@pld-linux.org> 81eff26
- updated to 2.12.4

* Wed Dec 13 2023 Jakub Bogusz <qboosh@pld-linux.org> 4526fe0
- updated to 2.12.3

* Wed Dec 06 2023 Jakub Bogusz <qboosh@pld-linux.org> 3b631f6
- updated to 2.12.2

* Fri Nov 24 2023 Jakub Bogusz <qboosh@pld-linux.org> b9d51c8
- updated to 2.12.1

* Tue Aug 15 2023 Jakub Bogusz <qboosh@pld-linux.org> b86a32a
- updated to 2.11.5

* Fri May 19 2023 Jakub Bogusz <qboosh@pld-linux.org> 66fd7f7
- updated to 2.11.4

* Thu May 11 2023 Jakub Bogusz <qboosh@pld-linux.org> 8f90204
- updated to 2.11.3

* Sat May 06 2023 Jakub Bogusz <qboosh@pld-linux.org> cedb0d0
- updated to 2.11.2

* Wed May 03 2023 Jakub Bogusz <qboosh@pld-linux.org> ef26948
- updated to 2.11.1

* Tue Apr 11 2023 Jakub Bogusz <qboosh@pld-linux.org> a286ee0
- updated to 2.10.4

* Mon Oct 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 3b1f7c2
- updated to 2.10.3 (fixes CVE-2022-40303 CVE-2022-40304)

